import { Pipe, PipeTransform } from '@angular/core';
import { VATDTO } from '@swagger/oms';

@Pipe({
  name: 'vatDtoToVatValue',
})
export class VatDtoToVatValuePipe implements PipeTransform {
  transform(vatDTO: VATDTO): string {
    if (!vatDTO) {
      return;
    }
    return `${vatDTO.value.toFixed()}%`;
  }
}
